Package com.sun.jna.platform.win32

## Class WinNT.CACHE_RELATIONSHIP

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION_EX
    - - com.sun.jna.platform.win32.WinNT.CACHE_RELATIONSHIP

- Enclosing interface:
    WinNT

      @FieldOrder({"level","associativity","lineSize","cacheSize","type","reserved","groupMask"})
      public static class WinNT.CACHE_RELATIONSHIP
      extends WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION_EX

  Describes cache attributes.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `byte` | `associativity` | The cache associativity.
    `int` | `cacheSize` | The cache size, in bytes.
    `WinNT.GROUP_AFFINITY` | `groupMask` | A `WinNT.GROUP_AFFINITY` structure that specifies a group number and processor affinity within the group.
    `byte` | `level` | The cache level.
    `short` | `lineSize` | The cache line size, in bytes.
    `byte[]` | `reserved` | This member is reserved.
    `int` | `type` | The cache type.

    - ### Fields inherited from class com.sun.jna.platform.win32.WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION_EX

      `relationship, size`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CACHE_RELATIONSHIP()` |
    `CACHE_RELATIONSHIP​(Pointer memory)` |

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.platform.win32.WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION_EX

      `fromPointer`

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### level

          public byte level

      The cache level. This member can be 1 (L1), 2 (L2), 3 (L3), or 4 (L4).

    - #### associativity

          public byte associativity

      The cache associativity. If this member is `WinNT.CACHE_FULLY_ASSOCIATIVE`, the cache is fully associative.

    - #### lineSize

          public short lineSize

      The cache line size, in bytes.

    - #### cacheSize

          public int cacheSize

      The cache size, in bytes.

    - #### type

          public int type

      The cache type. This member is a `WinNT.PROCESSOR_CACHE_TYPE` value.

    - #### reserved

          public byte[] reserved

      This member is reserved.

    - #### groupMask

          public WinNT.GROUP_AFFINITY groupMask

      A `WinNT.GROUP_AFFINITY` structure that specifies a group number and processor affinity within the group.

  - ### Constructor Detail

    - #### CACHE_RELATIONSHIP

          public CACHE_RELATIONSHIP()

    - #### CACHE_RELATIONSHIP

          public CACHE_RELATIONSHIP​(Pointer memory)